<?php

class ClsCargarIngresos{

var $pTipoBD;
var $pAccion;
var $pSeccion;
var $pCedula;
var $pNombre;
var $pApellido;
var $pPeriodo;
var $pModalidad;


function ClsCargarIngresos($tipobd,$var_post,$var_gest) {
		extract ($var_post); ///EXTRAE VARIABLES DE POST A VARIABLES SIMPLES CON EL MISMO NOMBRE
		extract($var_gest);
		$this->pTipoBD=$tipobd;
		$this->pPost =$var_post;
}
	


	function Ingresar($mensajes){
	
	
	}
	
	
	function Eliminar($ClsGeneradorHtml,$clsObjetodeDatos){
			
	
	}

	function get_cell($cell, $objPHPExcel){
		//select one cell
		$objCell = ($objPHPExcel->getActiveSheet()->getCell($cell));
		//get cell value
		return $objCell->getvalue();
	}

	function pp(&$var){
		$var = chr(ord($var)+1);
		return true;
	}
	
	function Cargar($file,$var_post,$var_get){
		
			if($file['file']['name'] != '')
        {
			//require_once 'reader/Classes/PHPExcel/IOFactory.php';
                        require_once ('phpexcel/Classes/PHPExcel/IOFactory.php');

			//require_once (__ROOT__.'/siga/phpexcel/Classes/PHPExcel/IOFactory.php');
 
            $name     = $file['file']['name'];
            $tname    = $file['file']['tmp_name'];
            $type     = $file['file']['type'];
			if($type == 'application/vnd.ms-excel')
            {
                // Extension excel 97
                $ext = 'xls';
            }
            else if($type == 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet')
            {
                // Extension excel 2007 y 2010
                $ext = 'xlsx';
            }else{
                // Extension no valida
                echo -1;
                exit();
            }
 
            $xlsx = 'Excel2007';
            $xls  = 'Excel5';
 
            //creando el lector
            $objReader = PHPExcel_IOFactory::createReader($$ext);
 
            //cargamos el archivo
            $objPHPExcel = $objReader->load($tname);
 
            $dim = $objPHPExcel->getActiveSheet()->calculateWorksheetDimension();
 
            // list coloca en array $start y $end
            list($start, $end) = explode(':', $dim);
 
            if(!preg_match('#([A-Z]+)([0-9]+)#', $start, $rslt)){
                return false;
            }
            list($start, $start_h, $start_v) = $rslt;
            if(!preg_match('#([A-Z]+)([0-9]+)#', $end, $rslt)){
                return false;
            }
            list($end, $end_h, $end_v) = $rslt;
 
            //empieza  lectura vertical
            $table = "<table  border='1'>";
            for($v=$start_v; $v<=$end_v; $v++){
				if($v>1){

					$sql ="Insert into ciu(nombres_ciu ,apellidos_ciu,cedula_ciu,modalidad,periodo,sede,turno)values(";
                
					//empieza lectura horizontal
					$table .= "<tr>";
					for($h=$start_h; ord($h)<=ord($end_h); $this->pp($h)){
						if (($h!="A") ){ 
							$cellValue = $this->get_cell($h.$v, $objPHPExcel);
							$table .= "<td>";
							if($cellValue !== null){
								$table .= $cellValue;
								if (empty($campo)){		
									if ($h!="D"){ 
										$campo=	"'".$cellValue."'";
									}else{
										$cedula=$cellValue;
										$campo=	$cellValue;										
									}	
								}else{
									if ($h!="D"){ 
										$campo.= ",'".$cellValue."'";
									}else{
										$campo.= ",".$cellValue;
										$cedula=$cellValue;
									}		
								}
							}
							$table .= "</td>";
						}	
					}
					$table .= "</tr>";
					$sql.=$campo.",".$var_post['cmbModalidad'].",".$var_post['cmbPeriodo'].",'".$var_post['cmbSede']."',".$var_post['cmbTurnos'].")";
					
					$campo="";
										

					if(!empty($sql)){
                if(!empty($cedula)){
					    if($var_post['chkSobreescribir']){
						  $sqldelete="delete from ciu where cedula_ciu =".$cedula." and periodo= ".$var_post['cmbPeriodo']; 		
						  $this->pTipoBD->EjecutarQuery($sqldelete);
						}
						$sqlSelect="select * from ciu where cedula_ciu =".$cedula." and periodo= ".$var_post['cmbPeriodo'];
						$this->pTipoBD->EjecutarQuery($sqlSelect);
						if($this->pTipoBD->count()==0){
							$this->pTipoBD->EjecutarQuery($sql);
						}
	              }
					}
				}

				//echo $sql;	
            }
            $table .= "</table>";
 
           // echo $table;
 

		}
	}

	
	function sql_consulta($var_post,$var_get,$ClsGeneradorHtml){
		  

	   $sql = "SELECT cedula_ciu,nombres_ciu,apellidos_ciu,A.modalidad,estatus,periodos.codigo,sedes.nombre_sede,turnos.turno FROM ciu inner join modalidad_ingreso A on ciu.modalidad= A.codigo
				inner join periodos on ciu.periodo= periodos.id_periodo left join sedes on ciu.sede =sedes.codigo  left join turnos on ciu.turno = turnos.codigo  where periodo=".$var_post['cmbPeriodo']." and ciu.modalidad=".$var_post['cmbModalidad']."";
	   $datos=$this->pTipoBD->EjecutarQuery($sql);
	   $datos=$this->pTipoBD->DatosArray();
 
 	   $sql = "select codigo from periodos where id_periodo=".$var_post['cmbPeriodo'];
	   $this->pTipoBD->EjecutarQuery($sql);
	   $datosperiodo=$this->pTipoBD->DataObjeto();

 	   $sql = "select modalidad from modalidad_ingreso where codigo=".$var_post['cmbModalidad'];
	   $this->pTipoBD->EjecutarQuery($sql);
	   $datosmodalidad=$this->pTipoBD->DataObjeto();

 
		echo
		"<table class='bd' border='0' cellspacing='1' cellpadding='4' width='100%'>
		<tr><td class='bd3' width='60%'><B>Nuevos Ingresos del Periodo: ".$datosperiodo->codigo."</B>
		<B> Modalidad: ".$datosmodalidad->modalidad."</B></td>";
		echo $ClsGeneradorHtml->htmlTd("","left").$ClsGeneradorHtml->htmlBoton("Regresar", "cmdRegresar").$ClsGeneradorHtml->htmlFinTd();
		echo "</tr>
		</table>
		<table width='99%' border='1' align='center' class='tbl'>
		<tr>
		  <td align='center' class='hr'>Cedula</td>
		  <td align='center' class='hr'>Nombres</td>
		  <td align='center' class='hr'>Apellidos</td>
		  <td align='center' class='hr'>Modalidad</td>
		  <td align='center' class='hr'>Periodo</td>
		  <td align='center' class='hr'>Sede</td>
		  <td align='center' class='hr'>Turno</td>
		  <td align='center' class='hr'>Estatus</td>
		</tr>";
		/*for ($i = 0; $i < $totalRows; $i++){
		   $row = mysql_fetch_assoc($rst);
		   echo "<tr>
			<td class='bd2' align='left'>".$row['cedula_ciu']."</td>
			<td class='bd2' align='right'>".$row['nombres_ciu']."</td>
			<td class='bd2' align='right'>".$row['apellidos_ciu']."</td>
			<td class='bd2' align='right'>".$row['modalidad']."</td>
			<td class='bd2' align='right'>".$row['estatus']."</td>
		  </tr>";
		}*/
		$style="dr";
		foreach ($datos as $row){
			 echo "<tr>
			<td class='$style' align='left'>".$row['cedula_ciu']."</td>
			<td class='$style' align='right'>".$row['nombres_ciu']."</td>
			<td class='$style' align='right'>".$row['apellidos_ciu']."</td>
			<td class='$style' align='right'>".$row['modalidad']."</td>
			<td class='$style' align='right'>".$row['codigo']."</td>
			<td class='$style' align='right'>".$row['nombre_sede']."</td>
			<td class='$style' align='right'>".$row['turno']."</td>
			<td class='$style' align='right'>".$row['estatus']."</td>
		  </tr>";	
		  if($style=="dr"){
			$style="sr";
		  }else{
			$style="dr";
		  }		
		}
		
					
	}
					
	function Validar($mensajes){
	
	}		

	function not_null($flags,$nombrecampo,$mensajes){
		if (eregi('not_null', $flags)) {
			echo $mensajes->htmlMensaje("E","El campo ".$nombrecampo." es obligatorio");
			return true;
		}		
		return false;
	}
	


	
	
	
}
?>
